# OSM-Replication Database Management

This repository handles the structure and migrations in the `osm_replication` database.

## Setup and contents

This database is a replication of the OpenStreetMap data using
[osm2pgsql](https://osm2pgsql.org/).
It contains the respective [style file](./replication.style).

We use [spearhead](https://git.gfz-potsdam.de/dynamicexposure/openbuildingmap/spearhead) for import of initial of OpenStreetMap data and continous updates.

## Connection

* $ `psql -h komachi.gfz-potsdam.de -U consumer osm_replication` (allows to access data read-only)
* $ `psql -h komachi.gfz-potsdam.de -U contributor osm_replication` (allows data manipulation)

## Database tables

* `planet_osm_line` - 
* `planet_osm_nodes` - 
* `planet_osm_point` - 
* `planet_osm_polygon` - 
* `planet_osm_rels` - 
* `planet_osm_roads` - 
* `planet_osm_ways` - 
